com.avaya.ccs.api.enums

## Enum DataFormat

- java.lang.Object
- - java.lang.Enum<DataFormat>
  - - com.avaya.ccs.api.enums.DataFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataFormat>

      public enum DataFormat
      extends java.lang.Enum<DataFormat>

  The `DataFormat` enum represents the possible formats for attached data carried in a `DataI` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIN` A `DataI` object with this format is carrying binary data in the form of a byte array.
    `KVP` A `DataI` object with this format is carrying key value pair data in the form of a map of string keys and values.
    `STR` A `DataI` object with this format is carrying string data.
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIN

          public static final DataFormat BIN

      A `DataI` object with this format is carrying binary data in the form of a byte array.

    - #### KVP

          public static final DataFormat KVP

      A `DataI` object with this format is carrying key value pair data in the form of a map of string keys and values.

    - #### STR

          public static final DataFormat STR

      A `DataI` object with this format is carrying string data.

    - #### UNKNOWN

          public static final DataFormat UNKNOWN

  - ### Method Detail

    - #### values

          public static DataFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataFormat c : DataFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null